日程更新
curl --request PATCH \
--url https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 49999999,
"is_online": true,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": true
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}"
payload = {
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 49999999,
"is_online": True,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_datetime: '<string>',
end_datetime: '<string>',
capacity: 49999999,
is_online: true,
url: '<string>',
password: '<string>',
open_time: 60,
venue_name: '<string>',
location_area: '<string>',
venue_url: '<string>',
zip_code: '<string>',
prefecture: '<string>',
address: '<string>',
is_hidden: true
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'start_datetime' => '<string>',
'end_datetime' => '<string>',
'capacity' => 49999999,
'is_online' => true,
'url' => '<string>',
'password' => '<string>',
'open_time' => 60,
'venue_name' => '<string>',
'location_area' => '<string>',
'venue_url' => '<string>',
'zip_code' => '<string>',
'prefecture' => '<string>',
'address' => '<string>',
'is_hidden' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}"
payload := strings.NewReader("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"capacity\": 49999999,\n \"is_online\": true,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"capacity\": 49999999,\n \"is_online\": true,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"capacity\": 49999999,\n \"is_online\": true,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 123,
"applicant_count": 123,
"cancel_count": 123,
"is_online": true,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"url": "<string>",
"password": "<string>",
"open_time": 123,
"is_hidden": true,
"member": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "invalid_event_type",
"message": "個別相談・個別予約タイプのイベントでは日程を直接作成できません。カレンダー設定APIを使用してください"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"end_datetime": [
"日時を変更する場合はstart_datetimeとend_datetimeの両方を指定してください"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}日程
日程更新
セミナー・説明会タイプのイベントの日程を更新します(個別相談・個別予約タイプでは 400(invalid_event_type))。指定したフィールドのみを更新する部分更新です。リクエストに含めなかったフィールドは既存の値が維持されます。
- 日時を変更するときは
start_datetimeとend_datetimeの両方を指定します(同じ日で、終了日時は開始日時より後) - 開始日時を変更すると、その日程の申込者の連携配信シナリオのイベント開催日時が更新され、リマインダ配信の予約が再計算されます(申込者数に応じて応答に時間がかかります)
- 種別・参加用URL・都道府県を変更するときは、更新後の状態でオンラインなら参加用URL、オフラインなら都道府県が必要です
- 開場時刻(
open_time)に null を指定すると 0(開始時刻と同時)になります
日程更新
curl --request PATCH \
--url https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 49999999,
"is_online": true,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": true
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}"
payload = {
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 49999999,
"is_online": True,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_datetime: '<string>',
end_datetime: '<string>',
capacity: 49999999,
is_online: true,
url: '<string>',
password: '<string>',
open_time: 60,
venue_name: '<string>',
location_area: '<string>',
venue_url: '<string>',
zip_code: '<string>',
prefecture: '<string>',
address: '<string>',
is_hidden: true
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'start_datetime' => '<string>',
'end_datetime' => '<string>',
'capacity' => 49999999,
'is_online' => true,
'url' => '<string>',
'password' => '<string>',
'open_time' => 60,
'venue_name' => '<string>',
'location_area' => '<string>',
'venue_url' => '<string>',
'zip_code' => '<string>',
'prefecture' => '<string>',
'address' => '<string>',
'is_hidden' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}"
payload := strings.NewReader("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"capacity\": 49999999,\n \"is_online\": true,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"capacity\": 49999999,\n \"is_online\": true,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"capacity\": 49999999,\n \"is_online\": true,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 123,
"applicant_count": 123,
"cancel_count": 123,
"is_online": true,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"url": "<string>",
"password": "<string>",
"open_time": 123,
"is_hidden": true,
"member": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "invalid_event_type",
"message": "個別相談・個別予約タイプのイベントでは日程を直接作成できません。カレンダー設定APIを使用してください"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"end_datetime": [
"日時を変更する場合はstart_datetimeとend_datetimeの両方を指定してください"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}PATCH
https://api.utage-system.com/v1/events/{project_id}/schedules/{schedule_id}
Body
application/json
指定した項目だけを更新します。日時を変更するときは start_datetime と end_datetime の両方を指定します